うまいぼうぶろぐ

linuxとhttpdとperlのメモ

CentOS 64bitでapacheをインストールするときのconfigureオプション

※ 2.2.9では解決されてるぽい。--with-expatのオプションがなくなってた。


32bitのライブラリを見に行ってしまって怒られてるみたい。/lib64/libexpat.so.0.5.0が64bitのほう。

$ make 
/usr/lib/libexpat.so: could not read symbols: File in wrong format

README、INSTALL、configure --helpを見た感じわからなかったけど、ぐぐったらいっぱい出てきた。

./configure --with-expat=builtin